libepoxy: /build/libepoxy/src/libepoxy/src/dispatch_glx.c File Reference

libepoxy 1.4.1

Functions
dispatch_glx.c File Reference
`#include <assert.h>`
`#include <string.h>`
`#include <stdio.h>`
`#include "dispatch_common.h"`

## Functions
int | epoxy_conservative_glx_version (void)
| If we can determine the GLX version from the current context, then return that, otherwise return a version that will just send us on to dlsym() or get_proc_address(). More...
int | epoxy_glx_version (Display *dpy, int screen)
| Returns the version of GLX we are using. More...
bool | epoxy_conservative_has_glx_extension (const char *ext)
| If we can determine the GLX extension support from the current context, then return that, otherwise give the answer that will just send us on to get_proc_address(). More...
bool | epoxy_has_glx_extension (Display *dpy, int screen, const char *ext)
| Returns true if the given GLX extension is supported in the current context. More...
bool | epoxy_has_glx (Display *dpy)
| Checks whether GLX is available. More...

## Function Documentation

## ◆ epoxy_conservative_glx_version()

int epoxy_conservative_glx_version | ( | void |  | ) |

If we can determine the GLX version from the current context, then return that, otherwise return a version that will just send us on to dlsym() or get_proc_address().

## ◆ epoxy_conservative_has_glx_extension()

bool epoxy_conservative_has_glx_extension | ( | const char * | ext | ) |

If we can determine the GLX extension support from the current context, then return that, otherwise give the answer that will just send us on to get_proc_address().

## ◆ epoxy_glx_version()

int epoxy_glx_version | ( | Display * | dpy,
|  | int | screen
| ) |  |

Returns the version of GLX we are using.

The version is encoded as:

version = major * 10 + minor

So it can be easily used for version comparisons.

Parameters

  dpy | The X11 display
  screen | The X11 screen

Returns
  The encoded version of GLX we are using

See also
  epoxy_gl_version()

## ◆ epoxy_has_glx()

bool epoxy_has_glx | ( | Display * | dpy | ) |

Checks whether GLX is available.

Parameters

  dpy | The X11 display

Returns
  `true` if GLX is available

Since libepoxy 1.4:

## ◆ epoxy_has_glx_extension()

bool epoxy_has_glx_extension | ( | Display * | dpy,
|  | int | screen,
|  | const char * | ext
| ) |  |

Returns true if the given GLX extension is supported in the current context.

Parameters

  dpy | The X11 display
  screen | The X11 screen
  extension | The name of the GLX extension

Returns
  `true` if the extension is available

See also
  epoxy_has_gl_extension()
  epoxy_has_egl_extension()